export type BuildURLParams = {
  entity: 'player';
  id: number;
  server: string;
};

export const buildURL = (params: BuildURLParams) => {
  switch (params.entity) {
    case 'player':
      return `https://www.twstats.com/in/${params.server}/player/${params.id}`;
    default:
      throw new Error(`Unknown entity: ${params.entity}`);
  }
};
